package org.sky.resource.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.resource.pojo.entity.Oss;
import org.sky.resource.pojo.vo.OssVO;
import org.sky.system.cache.DictCache;
import org.sky.system.pojo.enums.DictEnum;

import java.util.Objects;

/**
 * 包装类,返回视图层所需的字段
 *
 */
public class OssWrapper extends BaseEntityWrapper<Oss, OssVO> {

	public static OssWrapper build() {
		return new OssWrapper();
	}

	@Override
	public OssVO entityVO(Oss oss) {
		OssVO ossVO = Objects.requireNonNull(BeanUtil.copyProperties(oss, OssVO.class));
		String categoryName = DictCache.getValue(DictEnum.OSS, oss.getCategory());
		String statusName = DictCache.getValue(DictEnum.YES_NO, oss.getStatus());
		ossVO.setCategoryName(categoryName);
		ossVO.setStatusName(statusName);
		return ossVO;
	}

}
